bots.list
Every agent in the account.
Returns all agents (workflows) in your organization, including both active and archived. Each item includes summary fields — use Get an agent to retrieve the full workflow definition.
Reference
GET/api/v1/workflows/fetch
- Auth
- API key in
X-API-Key - Content
- none
- Returns
- 200 · WorkflowListResponse[]
Get all workflows for the authenticated user's organization. Returns a lightweight response with only essential fields for listing. Use GET /workflow/fetch/{workflow_id} to get full workflow details.
Arguments
| Argument | In | Type | Required | Description |
|---|---|---|---|---|
status | query | string | optional | Filter by status - can be single value (active/archived) or comma-separated (active,archived) |
Example request
curl -X GET "https://api.decibyl.ai/api/v1/workflows/fetch" \
-H "X-API-Key: dcb_your_key"Response
[
{
"id": 1,
"name": "string",
"status": "string",
"is_live": true,
"visibility": "everyone",
"created_at": "2026-09-14T09:30:00Z",
"total_runs": 1,
"folder_id": 1,
"workflow_uuid": "string",
"handle": "string",
"is_squad": false,
"avatar": {
"shape": "cercle",
"color": "encre",
"expression": "neutre"
}
}
]Errors
| Status | When |
|---|---|
404 | Not found |
422 | Validation Error |